org.apache.poi.xddf.usermodel

## Class XDDFColorSystemDefined

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFColor
  - - org.apache.poi.xddf.usermodel.XDDFColorSystemDefined

-     @Beta
      public class XDDFColorSystemDefined
      extends XDDFColor

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `container`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFColorSystemDefined(org.openxmlformats.schemas.drawingml.x2006.main.CTSystemColor color)`
    `protected` | `XDDFColorSystemDefined(org.openxmlformats.schemas.drawingml.x2006.main.CTSystemColor color, org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`
    `` | `XDDFColorSystemDefined(SystemColor color)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getLastColor()`
    `SystemColor` | `getValue()`
    `protected org.apache.xmlbeans.XmlObject` | `getXmlObject()`
    `void` | `setLastColor(byte[] last)`
    `void` | `setValue(SystemColor value)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `forColorContainer, from, from, from, from, from, getColorContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFColorSystemDefined

          public XDDFColorSystemDefined(SystemColor color)

    - #### XDDFColorSystemDefined

          @Internal
          protected XDDFColorSystemDefined(org.openxmlformats.schemas.drawingml.x2006.main.CTSystemColor color)

    - #### XDDFColorSystemDefined

          @Internal
          protected XDDFColorSystemDefined(org.openxmlformats.schemas.drawingml.x2006.main.CTSystemColor color,
                                                     org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.apache.xmlbeans.XmlObject getXmlObject()

      Specified by:
        `getXmlObject` in class `XDDFColor`

    - #### getValue

          public SystemColor getValue()

    - #### setValue

          public void setValue(SystemColor value)

    - #### getLastColor

          public byte[] getLastColor()

    - #### setLastColor

          public void setLastColor(byte[] last)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.